# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

import pytz

from odoo import fields, models


class ScopImportIDFLogs(models.Model):
    _name = "scop.invoice.idf.logs"
    _description = "Logs des imports IDF"

    # ------------------------------------------------------
    # Fields
    # ------------------------------------------------------
    name = fields.Char(compute="_compute_name", string="Date")
    type = fields.Selection(
        string="Type",
        selection=[("inv", "Factures"), ("cotiz", "Cotisations")],
    )
    logs = fields.Html(string="Commentaires", required=True)
    success = fields.Integer("Succès")
    failure = fields.Integer("Echecs")

    # ------------------------------------------------------
    # Compute
    # ------------------------------------------------------
    def _compute_name(self):
        for r in self:
            timezone = self.env.context.get("tz") or self.env.user.tz
            user_tz = pytz.timezone(timezone)
            r.name = "Import du %s" % pytz.utc.localize(r.create_date).astimezone(
                user_tz
            ).strftime("%d/%m/%Y - %-H:%M")
